Bug 1307163 - [RFE] Undercloud conf option for max_resources_per_stack
[RFE] Undercloud conf option for max_resources_per_stack
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: Angus Thomas
Shai Revivo
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 16:20 EST by Joe Talerico
Modified: 2016-08-19 16:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-19 16:22:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Talerico 2016-02-12 16:20:18 EST
Add a configuration option to the undercloud.conf to update max_resources_per_stack in the heat.conf on the undercloud. The default 1000 is good for the common case. When doing at scale, we need to increase this value.

We recommend 30* number of nodes[1], so the user could provide # of nodes they will be deploying, and we calculate what to set this to.


[1] https://access.redhat.com/solutions/1614073
Comment 1 Mike Burns 2016-04-07 17:11:06 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 3 Mike Burns 2016-08-19 16:22:17 EDT
Marking this closed.  This change seems to make the value unlimited:

https://review.openstack.org/#/c/286746/

If this is not the case, please reopen.

Note You need to log in before you can comment on or make changes to this bug.